centos 下使用 yum 安装php 5.2.17 无法使用mysql_connect、json_encode等函数

懵懂一时 发布于 2012/03/19 18:15
阅读 3K+
收藏 0

原centos系统自带的php版本是 5.1.6,使用yum安装了下php,但观察Configure Command 这行显示的是:

'./configure' '--build=i686-redhat-linux-gnu' '--host=i686-redhat-linux-gnu' 
'--target=i386-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' 
'--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' 
'--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' 
'--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' 
'--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--cache-file=../config.cache' 
'--with-libdir=lib' '--with-config-file-path=/etc' '--with-config-file-scan-dir=/etc/php.d' '--disable-debug' 
'--with-pic' '--disable-rpath' '--without-pear' '--with-bz2' '--with-exec-dir=/usr/bin' 
'--with-freetype-dir=/usr' '--with-png-dir=/usr' '--with-xpm-dir=/usr' 
'--enable-gd-native-ttf' '--without-gdbm' '--with-gettext' '--with-gmp' '--with-iconv' 
'--with-jpeg-dir=/usr' '--with-openssl' '--with-pcre-regex=/usr' '--with-zlib' 
'--with-layout=GNU' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' 
'--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' 
'--enable-sysvmsg' '--with-kerberos' '--enable-ucd-snmp-hack' 
'--enable-shmop' '--enable-calendar' '--without-mime-magic' 
'--without-sqlite' '--with-libxml-dir=/usr' '--enable-xml' 
'--with-system-tzdata' '--with-apxs2=/usr/sbin/apxs' '--without-mysql' 
'--without-gd' '--disable-dom' '--disable-dba' 
'--without-unixODBC' '--disable-pdo' '--disable-xmlreader' 
'--disable-xmlwriter' '--disable-json' '--without-pspell' 
'--disable-wddx' '--without-curl' '--disable-posix' 
'--disable-sysvmsg' '--disable-sysvshm' '--disable-sysvsem' 

--without-mysql

--disable-json

如上,mysql和json全被禁用了,请问该如何修改这个选项能正常使用json、mysql,谢谢各位!

加载中
0
Raynor1
Raynor1

--with-mysql =MYSQL的路径
--with-mysqli=mysql的安装路径。

把--disable-json去掉。默认是打开的。即可。

0
Raynor1
Raynor1
若你的PHP已经安装过了。则需要重新编译。。
0
懵懂一时
懵懂一时

引用来自“俞慧涛”的答案

若你的PHP已经安装过了。则需要重新编译。。

能不能加您Q,帮指导下,我都郁闷一天了!!!

我的:376779860  谢谢了!

0
Raynor1
Raynor1
www.lnmp.org这一个网站上面都有。可以去看一下。你若不会安装可以用LNMP的一键安装包。
0
mark35
mark35

之所以YUM安装的PHP会有那么多 --disable参数,那是为了你以后单独安装部件考虑的。你可以通过 YUM install php-??? 来安装需要部件,比如

yum install php-mysql php-gd

相当于只安装了PHP核心,扩展包按需安装

 

0
懵懂一时
懵懂一时

引用来自“mark35”的答案

之所以YUM安装的PHP会有那么多 --disable参数,那是为了你以后单独安装部件考虑的。你可以通过 YUM install php-??? 来安装需要部件,比如

yum install php-mysql php-gd

相当于只安装了PHP核心,扩展包按需安装

 

可是我执行了
yum install php-mysql
之后,用phpinfo打印,还是没有出现mysql参数呢?,请问下这是怎么回事?!
mark35
mark35
看看so文件是否加载
0
Raynor1
Raynor1
自己编译装一下吧。。它那一个自带的不给力呀。。LNMP上面有一键自动安装的么。。何必呢。若想学怎么装的话。。可以看一下里面集成的SHELL即可。一般有编程基础的人看了就可以会了喔。。
0
Jason阿坚
Jason阿坚
已有答案, 我来看看, 其实 yum 安装 和 编译安装 是很有争议的事
返回顶部
顶部